PYCIRKUIT(1)

NAME
pycirkuit - GUI/CLI front-end for "Circuit Macros" and the PIC language

SYNOPSIS
pycirkuit [ options ] [ path [ path2 ...] ]

DESCRIPTION
PyCirkuit is a front-end for Dwight Aplevich's Circuit Macros, which is a set of macros for drawing high-quality line diagrams to include in TeX, LaTeX, etc. PyCirkuit builds a live preview and allows it to be exported as TikZ, PDF, PNG or JPEG.

OPTIONS
-h, --help
    Displays a help menu.

-v, --version
    Displays version information.

-t, --tikz
    Activates batch (unattended) mode, and convert files specified by path to TIkZ format. Several output formats can be used together.

-f, --pdf
    Activates batch (unattended) mode, and convert files specified by path to PDF format. Several output formats can be used together.

-p, --png
    Activates batch (unattended) mode, and convert files specified by path to PNG format. Several output formats can be used together.

-j, --jpeg
    Activates batch (unattended) mode, and convert files specified by path to JPEG format. Several output formats can be used together.

-s, --svg
    Activates batch (unattended) mode, and convert files specified by path to SVG format. Several output formats can be used together.

--dpi N
    Sets the resolution of output raster images (png, jpg), in dots per inch. Value N is mandatory. If option is not set, default is 150dpi (defined in 'settings' dialog).

--quality Q
    Sets the quality of output raster lossy images (jpg), in percent. Value Q is mandatory. If option is not set, default is 80% (defined in 'settings' dialog).

--destination directory
    Save all converted files into the same destination directory D (value is mandatory).

--links
    Follow symbolic links.
        - If not set, destination file will be saved into the same directory where the source file is, whether it's a real file or a symbolic link.
        - If set, destination file will be saved into the directory

--overwrite
    Overwrite by default the converted files if they are present. If not set, user will be asked at runtime.

-r
    Using this option the pattern '**' will match any files and zero or more subdirs, so '**/*.ckt' will match all files with 'ckt' extension in the current directory and all its subdirectories.

EXAMPLES
pycirkuit --png examples/*.ckt
    Convert all files with 'ckt' extension in the 'examples' directory to PNG.

pycirkuit --jpeg --pdf --quality 100 --dpi 200 examples/*.ckt
    Convert all files with 'ckt' extension in the 'examples' directory to JPEG and PDF. Also set the JPEG quality to 100% and the dots per inch to 200.

pycirkuit --tikz --png --dpi 300 --overwrite -r **/*.ckt --destination output
    Convert all files with 'ckt' extension under the current directory to TikZ and PNG and save them in the 'output' directory. Also set the PNG dots per inch to 300 and overwrite files by default.

SEE ALSO
More information is available in the PyCirkuit Git repository: https://github.com/orestesmas/pycirkuit/
dpic(1)

AUTHOR
PyCirkuit was written by Orestes Mas <orestes@tsc.upc.edu>.

This manual page was written by Aniol Marti <amarti@caliu.cat>.

Permission is granted to copy, distribute and/or modify this document under the terms of the BSD 3-Clause license.